Documentation Index Fetch the complete documentation index at: https://fal.ai/docs/llms.txt
Use this file to discover all available pages before exploring further.
Rembg
Depth
Marigold Depth
Endpoint: POST https://fal.run/fal-ai/imageutils/rembg
Endpoint ID: fal-ai/imageutils/rembg
Try it in the Playground Run this model interactively with your own prompts.
Quick Start import fal_client
def on_queue_update ( update ):
if isinstance (update, fal_client.InProgress):
for log in update.logs:
print (log[ "message" ])
result = fal_client.subscribe(
"fal-ai/imageutils/rembg" ,
arguments = {
"image_url" : "https://storage.googleapis.com/falserverless/model_tests/remove_background/elephant.jpg"
},
with_logs = True ,
on_queue_update = on_queue_update,
)
print (result)
If True, the media will be returned as a data URI and the output data won’t be available in the request history.
If set to true, the resulting image be cropped to a bounding box around the subject
Output Schema Background removed image.
{
"image_url" : "https://storage.googleapis.com/falserverless/model_tests/remove_background/elephant.jpg" ,
"sync_mode" : false ,
"crop_to_bbox" : false
}
Output Example {
"image" : {
"url" : "" ,
"content_type" : "image/png" ,
"file_name" : "z9RV14K95DvU.png" ,
"file_size" : 4404019 ,
"width" : 1024 ,
"height" : 1024
}
}
Endpoint: POST https://fal.run/fal-ai/imageutils/depth
Endpoint ID: fal-ai/imageutils/depth
Try it in the Playground Run this model interactively with your own prompts.
Quick Start import fal_client
def on_queue_update ( update ):
if isinstance (update, fal_client.InProgress):
for log in update.logs:
print (log[ "message" ])
result = fal_client.subscribe(
"fal-ai/imageutils/depth" ,
arguments = {
"image_url" : "https://storage.googleapis.com/falserverless/model_tests/remove_background/elephant.jpg"
},
with_logs = True ,
on_queue_update = on_queue_update,
)
print (result)
a
float
default: "6.283185307179586"
a Default value: 6.283185307179586
Output Schema {
"image_url" : "https://storage.googleapis.com/falserverless/model_tests/remove_background/elephant.jpg" ,
"a" : 6.283185307179586 ,
"bg_th" : 0.1 ,
"depth_and_normal" : false
}
Output Example {
"image" : {
"url" : "" ,
"content_type" : "image/png" ,
"file_name" : "z9RV14K95DvU.png" ,
"file_size" : 4404019 ,
"width" : 1024 ,
"height" : 1024
}
}
Endpoint: POST https://fal.run/fal-ai/imageutils/marigold-depth
Endpoint ID: fal-ai/imageutils/marigold-depth
Try it in the Playground Run this model interactively with your own prompts.
Quick Start import fal_client
def on_queue_update ( update ):
if isinstance (update, fal_client.InProgress):
for log in update.logs:
print (log[ "message" ])
result = fal_client.subscribe(
"fal-ai/imageutils/marigold-depth" ,
arguments = {
"image_url" : "https://storage.googleapis.com/falserverless/model_tests/remove_background/elephant.jpg"
},
with_logs = True ,
on_queue_update = on_queue_update,
)
print (result)
Examples Number of denoising steps. Defaults to 10. The higher the number, the more accurate the result, but the slower the inference. Default value: 10 Range: 2 to 50
Number of predictions to average over. Defaults to 10. The higher the number, the more accurate the result, but the slower the inference. Default value: 10 Range: 2 to 50
Maximum processing resolution. Defaults 0 which means it uses the size of the input image. Range: 0 to 2048
Output Schema {
"image_url" : "https://storage.googleapis.com/falserverless/model_tests/remove_background/elephant.jpg" ,
"num_inference_steps" : 10 ,
"ensemble_size" : 10 ,
"processing_res" : 0
}
Output Example {
"image" : {
"url" : "" ,
"content_type" : "image/png" ,
"file_name" : "z9RV14K95DvU.png" ,
"file_size" : 4404019 ,
"width" : 1024 ,
"height" : 1024
}
}
Limitations
num_inference_steps range: 2 to 50
ensemble_size range: 2 to 50
processing_res range: 0 to 2048